Subject: Re: linux-next: build failure after merge of the sound and sound-asoc trees

From: Peter Ujfalusi <[email-masked]>
Date: Mon, 24 Sep 2012 10:52:17 +0300

On 09/24/2012 10:48 AM, Takashi Iwai wrote:
> At Mon, 24 Sep 2012 13:39:23 +1000,
> Stephen Rothwell wrote:
>>
>> Hi all,
>>
>> After merging the sound tree, today's linux-next build (powerpc
>> ppc64_defconfig) failed like this:
>>
>> In file included from include/linux/skbuff.h:31:0,
>>                  from include/linux/if_ether.h:135,
>>                  from include/linux/netdevice.h:29,
>>                  from arch/powerpc/net/bpf_jit_comp.c:14:
>> include/linux/dmaengine.h: In function 'dmaengine_prep_dma_cyclic':
>> include/linux/dmaengine.h:659:24: error: 'flags' undeclared (first use in this function)
>>
>> and lots more similar.
>>
>> Caused by commit ec8b5e48c037 ("dmaengine: Pass flags via
>> device_prep_dma_cyclic() callback").  Was this version of this patch
>> build tested at all?
>>
>> I have used the sound and sound-asoc trees from next-20120921 for today.
> 
> Ugh, sorry.  I skipped the ppc and arm build tests at the previous
> merge due to the remote work.
> 
> I can fix up but it'd be better to get a proper fix from Peter.
> Peter, could you submit the fix ASAP?

I already have the series to fix it.
The reason for the build breakage is that the following commit from my series
got lost somewhere:
dmaengine: Add flags parameter to dmaengine_prep_dma_cyclic()

I also noticed that arch/arm/plat-samsung/dma-ops.c calls
dmaengine_prep_dma_cyclic(), which was unexpected for me. So I have two patch
for linux-next/sound to fix the issue.

Will send them in a minute.

-- 
Péter